Subject: Re: bug#59715: 28.2; Emacs crashes after ``turkish-case-conversion-enable''

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Nov 2022 18:12:58 +0200

> Date: Wed, 30 Nov 2022 06:10:28 +0300
> From:  YUSUF ALPER ÇIKIŞIR via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> 
> When I set Turkish language environment with
> ``set-language-environment'' it runs ``turkish-case-conversion-enable''
> to properly upcase and downcase İ and ı characters.  It calls this
> function without any errors or crashes.  But after using Emacs for a
> while, it suddenly crashes.  The crash usually occurs when Emacs was
> asked to create a new buffer.  For example when I try to find
> definitions of an object by using ``xref-find-definitions'', it crashes.
> If I don't call ``set-language-environment'' and run
> ``turkish-case-conversion-enable'' alone, it occurs anyway so it is
> definitely related to that function.  Here is the output of crash:
> 
> Fatal error 6: Aborted
> Backtrace:
> /gnu/store/4zwgq7gi5pgw5dqmkfzyfwglngw2k2zv-emacs-ytc-28.2/bin/emacs-28.2[0x527ce7]
> /gnu/store/4zwgq7gi5pgw5dqmkfzyfwglngw2k2zv-emacs-ytc-28.2/bin/emacs-28.2[0x425278]

These addresses can be interpreted only on your system.  So either you do
what the "Crashing" node in the Emacs manual tells to do in order to convert
the addresses into human-readable file names and line numbers, or please run
Emacs under GDB, trigger the crash, and then type at the "(gdb)" prompt:

  (gdb) thread apply all bt

and post here everything it prints.

FWIW, I tried to reproduce the problem using your recipe, but couldn't.

Thanks.